# saga::job::metrics Namespace Reference

Available metrics defined for the Job Management API package. More...

## Variables
char const *const | state = saga::metrics::task_state
| Fires on state changes of the job, and has the literal value of the job state enum.
char const *const | state_detail = "job.state_detail"
| Fires on state changes of the job, and has the value of any platform specific substate the underlying middleware exposes.
char const *const | signal = "job.signal"
| Fires as a job receives a signal, and has a value indicating the signal number.
char const *const | cpu_time = "job.cpu_time"
| Number of CPU seconds consumed by the job.
char const *const | memory_use = "job.memory_use"
| Current aggregate memory usage.
char const *const | vmemory_use = "job.vmemory_use"
| Current aggregate virtual memory usage.
char const *const | performance = "job.performance"
| Current performance (FLOPS).

## Detailed Description

Available metrics defined for the Job Management API package.

Several metrics on the saga::job::job class (the class implements the saga::monitorable interface) reflect attributes from the job description. This redundancy is intentional, and aims at providing information about (a) attributes which may change at runtime, and (b) attributes for jobs for which no job description is available (e.g. saga::job::job instances obtained by calling saga::job::service::get_job().
Usage example:
`//TODO`

## Variable Documentation

char const* const saga::job::metrics::state = saga::metrics::task_state

Fires on state changes of the job, and has the literal value of the job state enum.

char const* const saga::job::metrics::state_detail = "job.state_detail"

Fires on state changes of the job, and has the value of any platform specific substate the underlying middleware exposes.

char const* const saga::job::metrics::signal = "job.signal"

Fires as a job receives a signal, and has a value indicating the signal number.

char const* const saga::job::metrics::cpu_time = "job.cpu_time"

Number of CPU seconds consumed by the job.

char const* const saga::job::metrics::memory_use = "job.memory_use"

Current aggregate memory usage.

char const* const saga::job::metrics::vmemory_use = "job.vmemory_use"

Current aggregate virtual memory usage.

char const* const saga::job::metrics::performance = "job.performance"

Current performance (FLOPS).